
Redmine - Defect #10977

Redmine shouldn't require all database gems

2012-05-21 09:13 - George Xie

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version:  

Description

Among sqlite/postgresql and mysql, only one is needed of the three per installation, but ./Gemfile require all of them.

mysql is used in my installation,  and I don't want introduce necessary libs, I have to comment those pg/sqlite lines.

I'm not familiar with ruby gems, but I think there is a way to avoid this.

History

#1 - 2012-05-21 15:02 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

As specified in RedmineInstall, you simply have to exclude the unnecessary driver gems when creating your bundle using the --without <...> option.

#2 - 2013-02-24 08:36 - Daniel Black

and now it seems it just installs those listed in your database.yml

#3 - 2013-02-24 10:22 - Jean-Philippe Lang

- Subject changed from Shouldn't require all three kinds db driver to Redmine shouldn't require all database gems

- Category set to Third-party libraries

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution changed from Invalid to Fixed

Indeed, bundle install will now only install the database gems that are in use in your database.yml.
